const ExtensionUtils = imports.misc.extensionUtils;
const ExtensionSystem = imports.ui.extensionSystem;
const Mainloop = imports.mainloop;
const Lang = imports.lang;

function init(){}

function enable(){
	let timeoutid = Mainloop.timeout_add(500, Lang.bind(this, function() {
		if (ExtensionUtils.extensions['ubuntu-dock@ubuntu.com'] != undefined) {
			ExtensionSystem.disableExtension('ubuntu-dock@ubuntu.com');
		}
		Mainloop.source_remove(timeoutid);
	}));
}

function disable(){
	if (ExtensionUtils.extensions['ubuntu-dock@ubuntu.com'] != undefined) {
		ExtensionSystem.enableExtension('ubuntu-dock@ubuntu.com');
	}
}
